Patch a Media Library Entry

Updates and returns a Media Library Entry Object.

PATCH/api/2026-03/mediaLibrary/{id}
public-api:write
Latest version

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
version
string

current mediaLibraryEntry version. When set on update the version is checked.

preserveUpdatedAt
boolean

When set to true, the entry's updated_at timestamp is not modified by the patch operation.
By default (false), updated_at is set to the current time.

This is useful for imports and migrations where the original timestamps should be preserved
to maintain correct dashboard sort order.

(added in release-2026-03)

patches*
array

An array of patches to execute. Each entry is an object with the following keys:

  • operation setMetadataProperty, replaceAsset, revokeAsset, unrevokeAsset ((added in release-2026-01)), archive or removeAsset
  • propertyName string of the propertyName (only for setMetadataProperty)
  • value string or object for the new value. If set to null or value is not set it will remove the property for setMetadataProperty. required for replaceAsset operation.
  • locale string of the asset to be removed (only in multilingual setups for removeAsset)
  • note optional string with a maximum length of 200 characters. Only supported by the revokeAsset operation. ((added in release-2026-01))

Description

Patch a Media Library Entry by its id.

Use Cases

  • Enhancing MediaLibraryEntries. For example, update the metadata after transcoding a video or analyzing the media with an external service.
  • When having a separate DAM - update Livingdocs Media Library Entry

Responses

⌘ K to search